# Modifiers

## Types

uint32_t | `Bits`

## Fields

| `None`
| `DoNotCut`
| `DoNotCap`
| `AlwaysDraw`
| `ScreenOriented`
| `SuppressCameraScale`
| `DoNotExplode`
| `DoNotSelect`
| `ScreenSpace`
| `ScreenSpaceStretched`
| `OutlineClipRegion`
| `DoNotLight`
| `OverrideSceneVisibility`
| `DoNotOutlineHighlight`
| `ExcludeBounding`
| `DoNotUseVertexColors`
| `AlwaysStream`
| `Default`
uint32_t | `_value`

## Functions

| `Modifiers`
| `Modifiers`
Modifiers & | `operator=`
bool | `operator==`
| `operator uint32_t`

## Detailed Description

class Modifiers

  The Modifiers class holds Bits used to define instance modifiers.

  Public Types

  enum Bits

    An enumeration of bit flags that modify the drawing of an instance.

    Values:

    enumerator None
    enumerator DoNotCut

      If set, the instance will not be affected by cutting planes.

    enumerator DoNotCap

      If set, the instance will not generate capping geometry.

    enumerator AlwaysDraw

      If set, the instance will be drawn before other instances and will not be culled in order to reach the target frame rate.

    enumerator ScreenOriented

      If set, the instance will be oriented such that the cardinal axes of object space are aligned with the cardinal axes of screen space.

    enumerator SuppressCameraScale

      If set, the instance will be drawn at the same size regardless of camera settings.

    enumerator DoNotExplode

      If set, the instance will not be affected by an explode operation.

    enumerator DoNotSelect

      If set, the instance will not be selectable.

    enumerator ScreenSpace

      If set, the instance will be drawn in a space that extends from X=-1 at the left side of the screen to X=1 at the right side of the screen and from Y=-1 at the bottom of the screen to Y=1 at the top of the screen.

      If the aspect ratio of the screen is not 1:1, the instance will be scaled so that it appears as if the aspect ratio were 1:1 (i.e., so that the instance will not appear stretched).

    enumerator ScreenSpaceStretched

      If set, the instance will be drawn in a space that extends from X=-1 at the left side of the screen to X=1 at the right side of the screen and from Y=-1 at the bottom of the screen to Y=1 at the top of the screen.

      If the aspect ratio of the screen is not 1:1, the instance will stretch in the direction of the longer side.

    enumerator OutlineClipRegion

      If set, the instance clip region will be outlined in the viewer

    enumerator DoNotLight

      If set, the instance will not be lit.

    enumerator OverrideSceneVisibility

      If set, the instance will ignore scene-level visibility.

    enumerator DoNotOutlineHighlight

      If set, the instance will not be outlined when highlighted.

    enumerator ExcludeBounding

      If set, the instance will not be included in bounding calculations.

    enumerator DoNotUseVertexColors

      If set, the instance will not use the mesh’s per-vertex colors.

    enumerator AlwaysStream

      If set, the instance will be streamed first and not unloaded by memory limiting.

    enumerator Default

  Public Functions

  inline Modifiers()
  inline explicit Modifiers(uint32_t value)
  inline Modifiers &operator=(uint32_t value)
  inline bool operator==(Modifiers const &that)
  inline operator uint32_t() const

  Public Members

  uint32_t _value